/Dashboards/:id/restore-metadata PUT
Overview
Restores the metadata for a module's dashboard to the default metadata.
Summary
This endpoint is used to restore the default metadata for a module's dashboard.
Request Arguments
| Name | Type | Description | Required |
|---|---|---|---|
| dashboard_module | string | The module dashboard belongs to (e.g. Home, Cases, Accounts) | True |
| dashboard | string | The dashboard name (e.g. portal-home) | True |
Request
{
"dashboard_module":"Home",
"dashboard":"portal-home"
}
Response Example
{
"id":"123",
"name":"LBL_PORTAL_HOME",
"dashboard_module": "Home",
"view_name": "home",
"metadata": {
"css_class": "portal-home-dashboard"
"components": {...},
},
...
}
Change Log
| Version | Change |
|---|---|
| v11.13 | Added /Dashboards/<id>/restore-metadata PUT endpoint. |